# T38_Data_Field_subtype_field_type Class Reference

`#include <t38.h>`

List of all members.

## Public Types

enum | Enumerations { e_hdlc_data, e_hdlc_sig_end, e_hdlc_fcs_OK, e_hdlc_fcs_BAD, e_hdlc_fcs_OK_sig_end, e_hdlc_fcs_BAD_sig_end, e_t4_non_ecm_data, e_t4_non_ecm_sig_end }

## Public Member Functions

| T38_Data_Field_subtype_field_type (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
T38_Data_Field_subtype_field_type & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum T38_Data_Field_subtype_field_type::Enumerations

Enumerator:

  e_hdlc_data |
  e_hdlc_sig_end |
  e_hdlc_fcs_OK |
  e_hdlc_fcs_BAD |
  e_hdlc_fcs_OK_sig_end |
  e_hdlc_fcs_BAD_sig_end |
  e_t4_non_ecm_data |
  e_t4_non_ecm_sig_end |

## Constructor & Destructor Documentation

T38_Data_Field_subtype_field_type::T38_Data_Field_subtype_field_type | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

T38_Data_Field_subtype_field_type& T38_Data_Field_subtype_field_type::operator= | ( | unsigned | v | ) |

PObject* T38_Data_Field_subtype_field_type::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- t38.h